Subject: bug#42099: Emacs -nw Turkish Layout Problem

From: Yigit Emre Sahinoglu <[email-masked]>
Date: Sun, 28 Jun 2020 21:39:34 +0300

I'm download Thunderbird for just for Cc problem. ^_^

> Are you saying that you see the same problem as the OP?  Because the
> problem you described earlier was different.
Yes, I have the same problem. I described the problem which I faced but 
he is finder of the bug.(I love referencing the sources...). Sorry for 
the misunderstanding.

I done all my testing which I sent to you with previous messages do 
under "emacs -Q -nw" conditions but I'm gonna answer again one by one.

> If you start "emacs -Q -nw" in a cmd.exe window, then type ş, what
> happens?
"ş" turns into "_".

> And what does "C-h l" report after that?
_               ;; self-insert-command
C-h k        ;; view-lossage

> Also, what happens if you type "C-x 8 RET 15f RET", do you see the ş
> character on display, or do you see something else?
\u015F

> There are now keyboard layout files on Windows.  Does it help to
> evaluate this:
>
>    M-: (w32-set-console-codepage 857) RET
>
> If that doesn't help, try this instead:
>
>    M-: (w32-set-console-codepage 1254) RET
Still same. No change.

On 2020-06-28 21:25, Eli Zaretskii wrote:
>> From: Yigit Emre Sahinoglu <[email-masked]>
>> Date: Sun, 28 Jun 2020 20:54:45 +0300
>>
>> For some reason I cannot edit cc from gmail (Either gui changed or i
>> cannot see it. Sorry for the trouble.).
> Use "Reply All".
>
>> I love helping people on reddit If I can. When I try to solve his
>> problem, I face the same problem. I try with every terminal available
>> on Windows (with native or with emulator) but the problem still
>> exists. He uses Win 7, I use Win 10. He uses emacs 25.2.1 and  25.3.1,
>> I use 27.0.91. He uses cmder (emulator) and with cmd.exe, I use
>> Powershell 7,6 , cmd.exe with and without Windows Terminal (emulator).
> Are you saying that you see the same problem as the OP?  Because the
> problem you described earlier was different.
>
> If you start "emacs -Q -nw" in a cmd.exe window, then type ş, what
> happens?  And what does "C-h l" report after that?
>
> Also, what happens if you type "C-x 8 RET 15f RET", do you see the ş
> character on display, or do you see something else?
>
>> I don't know how emacs works. But if emacs reads some kind of keyboard
>> layout table like QMK Firmware, this table is somehow messed up while
>> using "-nw" (or `X resources` on Windows somehow send true signals to
>> emacs and keyboard layout is fine with GUI). If you can tell me where
>> the keyboard layout files (if emacs reads from files) I can look at
>> it.
> There are now keyboard layout files on Windows.  Does it help to
> evaluate this:
>
>    M-: (w32-set-console-codepage 857) RET
>
> If that doesn't help, try this instead:
>
>    M-: (w32-set-console-codepage 1254) RET